Get a document by ID
Requires the DOCUMENT.VIEW permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
resourceId
The ID of the resource to be requested.
Headers
x-platform-id
Platform ID.
Response
OK
object_type
id
created_at
name
The name of the document.
description
An optional description of the document.
content_type
Content type of the file. Supported: application/pdf, application/json, text/html, text/markdown, application/vnd.openxmlformats-officedocument.presentationml.presentation (pptx) and application/vnd.openxmlformats-officedocument.presentationml.template (potx). text/plain is accepted only for a markdown file, i.e. when the name ends in .md or .markdown.
file_size
The file size in bytes.
downloaded_at
Timestamp of the most recent download.
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error